com.genesyslab.wfm7.API.service.schedule712

## Class SchTotalsRequest

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchTotalsRequest

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTotalsRequest
      extends java.lang.Object
      implements java.io.Serializable

  A request to calculate agent work totals like Total Paid Hours, Total Effective Work Hours and Time Off Hours or any specified Schedule State summed for specified time period and granularity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `endDate` End date of totals calculation period.
    `private boolean` | `provideGrossTotals` Calculate gross total (summed totals of all agents) for requested totals.
    `private boolean` | `provideOvertimeTotals` Calculate overtime or not.
    `private double` | `startDate` Start date of totals calculation period.
    `private int` | `stateID` Schedule state ID - used together with "stateType".
    `private int` | `stateType` Schedule State Type `ESchStateType`.
    `private int` | `type` Totals granularity `ESchTotalsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTotalsRequest()`
    `SchTotalsRequest(int type, double startDate, double endDate, boolean provideOvertimeTotals, boolean provideGrossTotals, int stateType, int stateID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getEndDate()` Gets the endDate value for this SchTotalsRequest.
    `double` | `getStartDate()` Gets the startDate value for this SchTotalsRequest.
    `int` | `getStateID()` Gets the stateID value for this SchTotalsRequest.
    `int` | `getStateType()` Gets the stateType value for this SchTotalsRequest.
    `int` | `getType()` Gets the type value for this SchTotalsRequest.
    `int` | `hashCode()`
    `boolean` | `isProvideGrossTotals()` Gets the provideGrossTotals value for this SchTotalsRequest.
    `boolean` | `isProvideOvertimeTotals()` Gets the provideOvertimeTotals value for this SchTotalsRequest.
    `void` | `setEndDate(double endDate)` Sets the endDate value for this SchTotalsRequest.
    `void` | `setProvideGrossTotals(boolean provideGrossTotals)` Sets the provideGrossTotals value for this SchTotalsRequest.
    `void` | `setProvideOvertimeTotals(boolean provideOvertimeTotals)` Sets the provideOvertimeTotals value for this SchTotalsRequest.
    `void` | `setStartDate(double startDate)` Sets the startDate value for this SchTotalsRequest.
    `void` | `setStateID(int stateID)` Sets the stateID value for this SchTotalsRequest.
    `void` | `setStateType(int stateType)` Sets the stateType value for this SchTotalsRequest.
    `void` | `setType(int type)` Sets the type value for this SchTotalsRequest.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          private int type

      Totals granularity `ESchTotalsType`

    - #### startDate

          private double startDate

      Start date of totals calculation period. `OleDateTime`

    - #### endDate

          private double endDate

      End date of totals calculation period. `OleDateTime`

    - #### provideOvertimeTotals

          private boolean provideOvertimeTotals

      Calculate overtime or not. (true/false)

    - #### provideGrossTotals

          private boolean provideGrossTotals

      Calculate gross total (summed totals of all agents) for requested totals. (true/false)

    - #### stateType

          private int stateType

      Schedule State Type `ESchStateType`. If specified, requests to calculated total number of minutes on specified schedule state.

    - #### stateID

          private int stateID

      Schedule state ID - used together with "stateType".

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTotalsRequest

          public SchTotalsRequest()

    - #### SchTotalsRequest

          public SchTotalsRequest(int type,
                          double startDate,
                          double endDate,
                          boolean provideOvertimeTotals,
                          boolean provideGrossTotals,
                          int stateType,
                          int stateID)

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the type value for this SchTotalsRequest.
      Returns:
        type

    - #### setType

          public void setType(int type)

      Sets the type value for this SchTotalsRequest.
      Parameters:
        `type` -

    - #### getStartDate

          public double getStartDate()

      Gets the startDate value for this SchTotalsRequest.
      Returns:
        startDate

    - #### setStartDate

          public void setStartDate(double startDate)

      Sets the startDate value for this SchTotalsRequest.
      Parameters:
        `startDate` -

    - #### getEndDate

          public double getEndDate()

      Gets the endDate value for this SchTotalsRequest.
      Returns:
        endDate

    - #### setEndDate

          public void setEndDate(double endDate)

      Sets the endDate value for this SchTotalsRequest.
      Parameters:
        `endDate` -

    - #### isProvideOvertimeTotals

          public boolean isProvideOvertimeTotals()

      Gets the provideOvertimeTotals value for this SchTotalsRequest.
      Returns:
        provideOvertimeTotals

    - #### setProvideOvertimeTotals

          public void setProvideOvertimeTotals(boolean provideOvertimeTotals)

      Sets the provideOvertimeTotals value for this SchTotalsRequest.
      Parameters:
        `provideOvertimeTotals` -

    - #### isProvideGrossTotals

          public boolean isProvideGrossTotals()

      Gets the provideGrossTotals value for this SchTotalsRequest.
      Returns:
        provideGrossTotals

    - #### setProvideGrossTotals

          public void setProvideGrossTotals(boolean provideGrossTotals)

      Sets the provideGrossTotals value for this SchTotalsRequest.
      Parameters:
        `provideGrossTotals` -

    - #### getStateType

          public int getStateType()

      Gets the stateType value for this SchTotalsRequest.
      Returns:
        stateType

    - #### setStateType

          public void setStateType(int stateType)

      Sets the stateType value for this SchTotalsRequest.
      Parameters:
        `stateType` -

    - #### getStateID

          public int getStateID()

      Gets the stateID value for this SchTotalsRequest.
      Returns:
        stateID

    - #### setStateID

          public void setStateID(int stateID)

      Sets the stateID value for this SchTotalsRequest.
      Parameters:
        `stateID` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.